# Generated by Django 3.1.3 on 2020-11-15 13:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('bierlijst', '0003_auto_20200326_1904'),
    ]

    operations = [
        migrations.CreateModel(
            name='BankStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status_type', models.CharField(max_length=200)),
                ('status_value', models.IntegerField(default=0)),
            ],
        ),
        migrations.AddField(
            model_name='resident',
            name='active',
            field=models.BooleanField(default=True),
        ),
        migrations.CreateModel(
            name='BankLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction_comment', models.CharField(max_length=500)),
                ('bank_balance_change', models.IntegerField(default=0)),
                ('resident_affected', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='related_secondary_resident', to='bierlijst.resident')),
                ('resident_user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='related_primary_resident', to='bierlijst.resident')),
            ],
        ),
    ]
